package com.sqx.modules.printInfo.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 考勤状态
 */
// 基本信息：1
// 商品信息：2
// 支付信息：3
// 用户信息：4
public enum ePrintStatu {
    Base(1),//基本信息
    Good(2),//商品信息
    Pay(3),//支付信息
    User(4);//用户信息

    private int value;

    ePrintStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static ePrintStatu valueOf(int value) {
        switch (value) {
            case 1:
                return ePrintStatu.Base;
            case 2:
                return ePrintStatu.Good;
            case 3:
                return ePrintStatu.Pay;
            case 4:
                return ePrintStatu.User;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "基本信息":
                return 1;
            case "商品信息":
                return 2;
            case "支付信息":
                return 3;
            case "用户信息":
                return 4;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "基本信息";
            case 2:
                return "商品信息";
            case 3:
                return "支付信息";
            case 4:
                return "用户信息";
            default:
                return null;
        }
    }

    /**
     * 获取考勤状态集合
     * @return
     */
    public static List<Integer> attendanceStatus(){
        List<Integer> result = new ArrayList<>();
        result.add(0);
        result.add(1);
        result.add(3);
        result.add(6);
        result.add(7);
        return result;
    }
}
